
Redmine - Defect #2853

User-activity URL's use user_id as project_id also

2009-02-27 00:44 - Mischa The Evil

Status: Closed Start date: 2009-02-27

Priority: High Due date:  

Assignee: Eric Davis % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The links to the user's activity-view on the user's account-show view are incorrect after the RESTful-URL implementation.

Currently the user_id is also used as the project_id in the URL.

Note: assigned to Eric Davis on request on IRC

Associated revisions

Revision 2532 - 2009-02-27 13:08 - Jean-Philippe Lang

Fixes user's activity link (#2853).

Revision 2535 - 2009-02-28 10:21 - Jean-Philippe Lang

Fixes tests broken by r2532 (#2853).

History

#1 - 2009-02-27 12:23 - Jean-Philippe Lang

- Priority changed from Normal to High

#2 - 2009-02-27 13:07 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Resolution set to Fixed

Fixed in r2532. Eric, if you have a better fix, go ahead.

#3 - 2009-02-27 20:16 - Eric Davis

- Status changed from Closed to Reopened

I'm seeing a two failed tests for the routing.  Probably a simple fix.

/usr/local/bin/ruby -Ilib:test "/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader.rb" "te

st/unit/repository_filesystem_test.rb" "test/unit/project_test.rb" "test/unit/repository_darcs_test.rb" "test/

unit/news_test.rb" "test/unit/wiki_page_test.rb" "test/unit/mailer_test.rb" "test/unit/watcher_test.rb" "test/

unit/subversion_adapter_test.rb" "test/unit/custom_field_test.rb" "test/unit/wiki_content_test.rb" "test/unit/

issue_test.rb" "test/unit/repository_subversion_test.rb" "test/unit/enumeration_test.rb" "test/unit/repository

_bazaar_test.rb" "test/unit/query_test.rb" "test/unit/calendar_test.rb" "test/unit/time_entry_test.rb" "test/u

nit/repository_test.rb" "test/unit/enabled_module_test.rb" "test/unit/user_preference_test.rb" "test/unit/mess

age_test.rb" "test/unit/repository_git_test.rb" "test/unit/document_test.rb" "test/unit/issue_status_test.rb" 

"test/unit/comment_test.rb" "test/unit/role_test.rb" "test/unit/setting_test.rb" "test/unit/user_test.rb" "tes

t/unit/default_data_test.rb" "test/unit/wiki_test.rb" "test/unit/repository_mercurial_test.rb" "test/unit/lib/

redmine/plugin_test.rb" "test/unit/lib/redmine/unified_diff_test.rb" "test/unit/lib/redmine/hook_test.rb" "tes

t/unit/lib/redmine/wiki_formatting/macros_test.rb" "test/unit/lib/redmine/access_control_test.rb" "test/unit/l

ib/redmine/i18n_test.rb" "test/unit/token_test.rb" "test/unit/mail_handler_test.rb" "test/unit/attachment_test

.rb" "test/unit/version_test.rb" "test/unit/helpers/application_helper_test.rb" "test/unit/wiki_redirect_test.

rb" "test/unit/tracker_test.rb" "test/unit/mercurial_adapter_test.rb" "test/unit/board_test.rb" "test/unit/mem

ber_test.rb" "test/unit/auth_source_ldap_test.rb" "test/unit/filesystem_adapter_test.rb" "test/unit/journal_te

st.rb" "test/unit/search_test.rb" "test/unit/issue_category_test.rb" "test/unit/repository_cvs_test.rb" "test/

unit/activity_test.rb" "test/unit/changeset_test.rb" "test/unit/custom_value_test.rb" 

(in /home/edavis/integrity/builds/edavis10-redmine-master)

Filesystem test repository NOT FOUND. Skipping unit tests !!! See doc/RUNNING_TESTS.

Darcs test repository NOT FOUND. Skipping unit tests !!!

Subversion test repository NOT FOUND. Skipping unit tests !!!
Bazaar test repository NOT FOUND. Skipping unit tests !!!

Git test repository NOT FOUND. Skipping unit tests !!!

Mercurial test repository NOT FOUND. Skipping unit tests !!!

Filesystem test repository NOT FOUND. Skipping unit tests !!! See doc/RUNNING_TESTS.

CVS test repository NOT FOUND. Skipping unit tests !!!

Loaded suite /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader

Started

..............................................................................................................

..............................................................................................................

...................................................................................................

Finished in 126.331812 seconds.

319 tests, 1436 assertions, 0 failures, 0 errors

/usr/local/bin/ruby -Ilib:test "/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader.rb" "te

st/functional/repositories_darcs_controller_test.rb" "test/functional/repositories_controller_test.rb" "test/f

unctional/reports_controller_test.rb" "test/functional/repositories_cvs_controller_test.rb" "test/functional/w

orkflows_controller_test.rb" "test/functional/users_controller_test.rb" "test/functional/attachments_controlle

r_test.rb" "test/functional/versions_controller_test.rb" "test/functional/wikis_controller_test.rb" "test/func

tional/repositories_git_controller_test.rb" "test/functional/repositories_subversion_controller_test.rb" "test

/functional/repositories_bazaar_controller_test.rb" "test/functional/members_controller_test.rb" "test/functio

nal/my_controller_test.rb" "test/functional/watchers_controller_test.rb" "test/functional/documents_controller

_test.rb" "test/functional/journals_controller_test.rb" "test/functional/account_controller_test.rb" "test/fun

ctional/issues_controller_test.rb" "test/functional/roles_controller_test.rb" "test/functional/welcome_control

ler_test.rb" "test/functional/trackers_controller_test.rb" "test/functional/custom_fields_controller_test.rb" 

"test/functional/admin_controller_test.rb" "test/functional/boards_controller_test.rb" "test/functional/settin

gs_controller_test.rb" "test/functional/sys_controller_test.rb" "test/functional/news_controller_test.rb" "tes

t/functional/issue_relations_controller_test.rb" "test/functional/wiki_controller_test.rb" "test/functional/pr

ojects_controller_test.rb" "test/functional/messages_controller_test.rb" "test/functional/timelog_controller_t

est.rb" "test/functional/repositories_mercurial_controller_test.rb" "test/functional/queries_controller_test.r

b" "test/functional/search_controller_test.rb" "test/functional/application_controller_test.rb" "test/function

al/mail_handler_controller_test.rb" 

/home/edavis/integrity/builds/edavis10-redmine-master/app/controllers/repositories_controller.rb:202: warning:

 already initialized constant REV_PARAM_RE

/home/edavis/integrity/builds/edavis10-redmine-master/app/controllers/my_controller.rb:31: warning: already in

itialized constant BLOCKS

/home/edavis/integrity/builds/edavis10-redmine-master/app/controllers/my_controller.rb:35: warning: already in

itialized constant DEFAULT_LAYOUT

Darcs test repository NOT FOUND. Skipping functional tests !!!

CVS test repository NOT FOUND. Skipping functional tests !!!

Git test repository NOT FOUND. Skipping functional tests !!!

Subversion test repository NOT FOUND. Skipping functional tests !!!

Bazaar test repository NOT FOUND. Skipping functional tests !!!

RMagick not installed. Skipping tests !!!

Mercurial test repository NOT FOUND. Skipping functional tests !!!

Loaded suite /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader

Started

..............................................................................................................

....................................................................................FF........................

..............................................................................................................

..................................................................................

Finished in 65.745794 seconds.

  1) Failure:

test_global_activity_atom_routing(ProjectsControllerTest)

    [./test/functional/projects_controller_test.rb:410:in `test_global_activity_atom_routing'

     /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/testing/setup_and_teardown.rb:94

:in `__send__'

     /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/testing/setup_and_teardown.rb:94

:in `run']:

The recognized options <{"format"=>"atom", "action"=>"activity", "id"=>nil, "controller"=>"projects"}> did not

 match <{"format"=>"atom", "action"=>"activity", "controller"=>"projects"}>, difference: <{"id"=>nil}>

  2) Failure:

test_global_activity_routing(ProjectsControllerTest)

    [./test/functional/projects_controller_test.rb:370:in `test_global_activity_routing'

     /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/testing/setup_and_teardown.rb:94

:in `__send__'

     /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/testing/setup_and_teardown.rb:94

:in `run']:

The recognized options <{"action"=>"activity", "id"=>nil, "controller"=>"projects"}> did not match <{"action"=

>"activity", "controller"=>"projects"}>, difference: <{"id"=>nil}>

412 tests, 1478 assertions, 2 failures, 0 errors

/usr/local/bin/ruby -Ilib:test "/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader.rb" "te

st/integration/account_test.rb" "test/integration/projects_test.rb" "test/integration/issues_test.rb" "test/in
tegration/lib/redmine/menu_manager_test.rb" "test/integration/application_test.rb" "test/integration/admin_tes

t.rb" 

Loaded suite /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader

Started

.................

Finished in 8.377763 seconds.

17 tests, 140 assertions, 0 failures, 0 errors

Errors running test:functionals!

#4 - 2009-02-28 10:20 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Tests fixed in r2535.
